package org.pi3.servlet.samples;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class PostServlet2 extends HttpServlet {
  public void doPost( HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        StringBuffer sbuf = new StringBuffer("<H1>Servlet POST Test 2</H1><HR>\r\n");
        sbuf.append("<p>Using <b>ServletInputStream</b> and <b>PrintWriter</b> objects for the Servlet I/O.");
        int len = request.getContentLength();
        sbuf.append("<p><b>Client Content-Length: </b>" + len);
        sbuf.append("<p><b>Request ContentType: </b>" + request.getContentType());
        sbuf.append("<p><b>Request Character Encoding: </b>" + request.getCharacterEncoding());
        ServletInputStream in = request.getInputStream();
        sbuf.append("<p><b>Available in the server I/O buffer: </b>" + in.available());
        sbuf.append("<p><b>Received Client Data: </b>");
        String s = sbuf.toString();
        response.setContentLength(s.length() + len);
        response.setContentType("text/html; charset=utf-8");
        PrintWriter out = response.getWriter();
        out.print(s);
        for (int i = 0; i < len; i++) {
            out.print((char)in.read());
        };
	  out.flush();
    }
  }
